Package org.drinkless.tdlib

# Class TdApi.MessagePaidMedia

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePaidMedia

Enclosing class:
  `TdApi`

public static class TdApi.MessagePaidMedia extends TdApi.MessageContent
A message with paid media.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `caption`
  Media caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PaidMedia[]`
  `media`
  Information about the media.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the media; otherwise, the caption must be shown below the media.
  `long`
  `starCount`
  Number of Telegram Stars needed to buy access to the media in the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePaidMedia()`
  A message with paid media.
  `MessagePaidMedia(long starCount, TdApi.PaidMedia[] media, TdApi.FormattedText caption, boolean showCaptionAboveMedia)`
  A message with paid media.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    Number of Telegram Stars needed to buy access to the media in the message.

  - ### media

    public TdApi.PaidMedia[] media
    Information about the media.

  - ### caption

    public TdApi.FormattedText caption
    Media caption.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the media; otherwise, the caption must be shown below the media.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePaidMedia

    public MessagePaidMedia()
    A message with paid media.

  - ### MessagePaidMedia

    public MessagePaidMedia(long starCount, TdApi.PaidMedia[] media, TdApi.FormattedText caption, boolean showCaptionAboveMedia)
    A message with paid media.
    Parameters:
      `starCount` - Number of Telegram Stars needed to buy access to the media in the message.
      `media` - Information about the media.
      `caption` - Media caption.
      `showCaptionAboveMedia` - True, if the caption must be shown above the media; otherwise, the caption must be shown below the media.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR